Subject: New function in Emacs GnuTLS implementation

From: Nikolaos Chatzikonstantinou <[email-masked]>
Date: Fri, 10 Sep 2021 19:39:52 +0900

Hello bug-gnu-emacs,

I am looking at the src/gnutls.c:gnutls-boot function for the purpose of
modifying it to use the function gnutls_certificate_set_x509_key_file2
instead of gnutls_certificate_set_x509_key_file. (Note the missing `2')

The reason for this addition would be to protect the key with a
password. Note that the pass parameter may be NULL.

Moreover, the Emacs functionality could do with more than just file
access; users could provide their certificates and keys that lie in
memory instead of a file. This may be useful.

I am sending this e-mail to gauge interest in this as a proposal. It
makes sense to me but I am not very experienced. How does one submit
a patch for Emacs? Is it via the mailing lists by attaching a diff
hunk?

Thank you for your attention.

Regards,
Nikolaos Chatzikonstantinou